## cyrus-imapd-2.4 2.4.17+nocaldav

=== debian/changelog ===
cyrus-imapd-2.4 (2.4.17+nocaldav-2build1) xenial; urgency=medium

  * Rebuild for Perl 5.22.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 18 Dec 2015 01:03:42 +0000

cyrus-imapd-2.4 (2.4.17+nocaldav-2) unstable; urgency=medium

  * [TEMP-0000000-C51AF6]: fix urlfetch range handling flaw in Cyrus IMAP
  * Replication got unbroken with caldav support removal (Closes: #799724)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 20 Oct 2015 19:47:52 +0200

cyrus-imapd-2.4 (2.4.17+nocaldav-1) unstable; urgency=medium

  * Update the gbp.conf
  * Imported Upstream version 2.4.17+nocaldav
  * Remove the experimental caldav support (Closes: #799724)
  * Always disable SSLv3 and TLS compression

 -- Ondřej Surý <ondrej@debian.org>  Mon, 19 Oct 2015 15:49:48 +0200

cyrus-imapd-2.4 (2.4.17+caldav~beta10-18) unstable; urgency=medium

  * Fix PIDFile location in sysvinit script (Closes: #778781)
  * Fix ACL string corruption on removal of an ACL identifier
    (Closes: #778779)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 24 Mar 2015 12:09:49 +0100

cyrus-imapd-2.4 (2.4.17+caldav~beta10-17) unstable; urgency=medium

  [Daniel Dickinson]
  * Fix users in virtual domains cannot access caldav/carddav
    (Closes: #774128)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 02 Feb 2015 10:27:53 +0100

cyrus-imapd-2.4 (2.4.17+caldav~beta10-16) unstable; urgency=medium

  * Manually add dpkg (>= 1.17.14) to Pre-Depends to have correctly
    working dpkg-maintscript-helper symlink_to_dir without full path
  * Format debian/* with wrap-and-sort -a

 -- Ondřej Surý <ondrej@debian.org>  Wed, 07 Jan 2015 13:18:39 +0100

cyrus-imapd-2.4 (2.4.17+caldav~beta10-14) unstable; urgency=medium

  * Bump required debhelper version to 9.20141221~ to it correctly set
    ${misc:Pre-Depends}
  * Drop Build-Depends on dpkg-dev that's not needed

 -- Ondřej Surý <ondrej@debian.org>  Wed, 31 Dec 2014 08:58:37 +0100

cyrus-imapd-2.4 (2.4.17+caldav~beta10-13) unstable; urgency=medium

  * Force dpkg-dev to 1.17.22 to have correct Pre-Depends

 -- Ondřej Surý <ondrej@debian.org>  Tue, 30 Dec 2014 18:25:18 +0100

cyrus-imapd-2.4 (2.4.17+caldav~beta10-12) unstable; urgency=medium

  * Add Breaks/Replaces for old cyrus-imapd-2.2 dummy packages 
    to cleanup old installations.
  * Install upstream changelogs to all real packages and Debian changelogs
    to all packages

 -- Ondřej Surý <ondrej@debian.org>  Wed, 03 Dec 2014 09:12:15 +0100

cyrus-imapd-2.4 (2.4.17+caldav~beta10-11) unstable; urgency=medium

  * Add more missing symlink_to_dir calls based on last X packages
    from testing.

 -- Ondřej Surý <ondrej@debian.org>  Tue, 02 Dec 2014 17:33:25 +0100

cyrus-imapd-2.4 (2.4.17+caldav~beta10-10) unstable; urgency=medium

  * Last attempt to get the maintscripts right (Closes: #771749)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 02 Dec 2014 15:47:18 +0100

cyrus-imapd-2.4 (2.4.17+caldav~beta10-9) unstable; urgency=medium

  * Add missing backslash in configure params (Closes: #771071)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 27 Nov 2014 09:28:43 +0100

cyrus-imapd-2.4 (2.4.17+caldav~beta10-8) unstable; urgency=medium

  * Don't use dh_installdoc --link-doc feature at all, it just creates
    more problems than it solves (Closes: #769553)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 18 Nov 2014 13:06:45 +0100

cyrus-imapd-2.4 (2.4.17+caldav~beta10-7) unstable; urgency=medium

  * Add dir_to_symlink dpkg-maintscript-helper call for transitional
    packages (Closes: #768240)
  * Drop useless cyrus-common-2.4 dependency on cyrus-common
  * Add missing quotes around $@ in maintscript
  * Drop -- "$@" from *.mainscript

 -- Ondřej Surý <ondrej@debian.org>  Thu, 06 Nov 2014 10:48:34 +0100

cyrus-imapd-2.4 (2.4.17+caldav~beta10-6) unstable; urgency=medium

  * Cleanup inactive uploaders (Closes: #760134) and thank you for all the
    hard work in the past years!
  * Pull TLS configuration patch from upstream git repository (Disables
    SSLv2 and SSLv3 by default and adds TLS PFS)
  * Disable SSLv2 and SSLv3 in a default imapd.conf file

 -- Ondřej Surý <ondrej@debian.org>  Thu, 23 Oct 2014 12:28:10 +0200
