## cyrus-imapd-2.4 2.4.18

=== debian/changelog ===
cyrus-imapd-2.4 (2.4.18-3) unstable; urgency=medium

  * Fix the last bits of cyrus-upgrade-db (Closes: #803976)
    (Thanks Agustín Eijo for debugging the script)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 29 Dec 2015 14:40:40 +0100

cyrus-imapd-2.4 (2.4.18-2) unstable; urgency=medium

  * Always upgrade Berkeley DB environment (Closes: #803976)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 28 Dec 2015 16:41:07 +0100

cyrus-imapd-2.4 (2.4.18-1) unstable; urgency=medium

  * Workaround subshell losing variables in while loop (Closes: #803976)
  * Don't fail when database type disappears, just warn the user
    (Closes: #803965)
  * Imported Upstream version 2.4.18
  * Rebase patches on top of 2.4.18 release

 -- Ondřej Surý <ondrej@debian.org>  Mon, 21 Dec 2015 12:39:03 +0100
